# Get shipment status

> `GET https://api.kustom.co/shipment/{shipment_id}`

Get carrier product codes for the shipment, shipment status and optional carrier tracking data.

## Parameters

- `shipment_id` (string, path, required) — Unique shipment ID.
- `Authorization` (string, header, required) — Authorization token on format `Bearer <token>`.

## Responses

### 200

Successful operation.

`application/vdn.klarna.shipping.get_shipment-v1+json`

- `additional_info` (string) — Any additional information that should be passed to a merchant from TMS can be provided here. Limit is 256 characters.
- `selected_shipping_option` (object, required)
  - `carrier` (string, required) — Transportation carrier company used.

    - **merchant** can be used for merchant self-hosted delivery methods (ex. instore pickup).

    - **generic-postal** can be used to indicate a generic postal network.

    - Additional carriers can be supported on request.

    Value should be one of:
    Enum: `acs-courier`, `airmee`, `an-post`, `asendia`, `australia-post`, `austrian-post`, `bartolini`, `best`, `bpost`, `bring`, `bring-green`, `budbee`, `budbee-box`, `budcompaniett`, `bussgods`, `citymail`, `colis-prive`, `colissimo`, `collicare`, `correos`, `correos-express`, `crown-relocations`, `czech-post`, `dachser`, `danske-fragt`, `dao`, `deutsche-post`, `dhl`, `dhl-express`, `doorier`, `dooris`, `dpd`, `dsv`, `dynalogic`, `e2y`, `early-bird`, `emily-company`, `evri`, `fedex`, `fietskoeriers`, `generic`, `generic-postal`, `gls`, `gordon`, `helthjem`, `hoekstra`, `hrvatska-posta`, `in-time`, `instabikes`, `instabox`, `instabox-green`, `itella`, `kaukokiito`, `kiitolinja`, `laposte`, `leen-merken`, `lgt`, `magyar-posta`, `mat-se`, `matkahuolto`, `merchant`, `mioo-assembly-service`, `mx-transport`, `mondial-relay`, `mtd`, `netflux`, `ntex`, `oda`, `omniva`, `onroad`, `paack`, `packs`, `porterbuddy`, `post-it`, `post-luxembourg`, `posta-slovenija`, `posten-norge`, `posti`, `postnl`, `postnl-extra-home`, `postnord`, `professional-parcel-logistic`, `quick-pac`, `rapido`, `red-je-pakketje`, `relais-colis`, `royal-mail`, `safe-carrier-logistics`, `sagawa`, `schenker`, `skargarda`, `slovenska-posta`, `stuart`, `svosj`, `svosj-trial`, `swiss-post`, `swoopin`, `trunkrs`, `ups`, `urbit`, `urgent-cargus`, `van-spreuwel`, `wideroe-smart`, `wolt`, `yunda`, `zalando`.
  - `carrier_product` (object)
    - `addon_identifiers[]` (array<string>) — Product addon identifiers
    - `identifier` (string) — Carrier identifier/product code
    - `name` (string) — Carrier product name
- `shipment_id` (string, required) — The id of the (reserved) shipment
- `shipments[]` (array<object>)
  - `carrier` (string) — Transportation carrier company used.

    - **merchant** can be used for merchant self-hosted delivery methods (ex. instore pickup).

    - **generic-postal** can be used to indicate a generic postal network.

    - Additional carriers can be supported on request.

    Value should be one of:
    Enum: `acs-courier`, `airmee`, `an-post`, `asendia`, `australia-post`, `austrian-post`, `bartolini`, `best`, `bpost`, `bring`, `bring-green`, `budbee`, `budbee-box`, `budcompaniett`, `bussgods`, `citymail`, `colis-prive`, `colissimo`, `collicare`, `correos`, `correos-express`, `crown-relocations`, `czech-post`, `dachser`, `danske-fragt`, `dao`, `deutsche-post`, `dhl`, `dhl-express`, `doorier`, `dooris`, `dpd`, `dsv`, `dynalogic`, `e2y`, `early-bird`, `emily-company`, `evri`, `fedex`, `fietskoeriers`, `generic`, `generic-postal`, `gls`, `gordon`, `helthjem`, `hoekstra`, `hrvatska-posta`, `in-time`, `instabikes`, `instabox`, `instabox-green`, `itella`, `kaukokiito`, `kiitolinja`, `laposte`, `leen-merken`, `lgt`, `magyar-posta`, `mat-se`, `matkahuolto`, `merchant`, `mioo-assembly-service`, `mx-transport`, `mondial-relay`, `mtd`, `netflux`, `ntex`, `oda`, `omniva`, `onroad`, `paack`, `packs`, `porterbuddy`, `post-it`, `post-luxembourg`, `posta-slovenija`, `posten-norge`, `posti`, `postnl`, `postnl-extra-home`, `postnord`, `professional-parcel-logistic`, `quick-pac`, `rapido`, `red-je-pakketje`, `relais-colis`, `royal-mail`, `safe-carrier-logistics`, `sagawa`, `schenker`, `skargarda`, `slovenska-posta`, `stuart`, `svosj`, `svosj-trial`, `swiss-post`, `swoopin`, `trunkrs`, `ups`, `urbit`, `urgent-cargus`, `van-spreuwel`, `wideroe-smart`, `wolt`, `yunda`, `zalando`.
  - `tracking_id` (string) — Carrier-specific tracking id.
  - `tracking_url` (string) — Carrier-specific URL to a web page where the consumer can see and make changes to their delivery.

```json
{
  "additional_info": "<string>",
  "selected_shipping_option": {
    "carrier": "postnord",
    "carrier_product": {
      "addon_identifiers": [
        "1"
      ],
      "identifier": "19",
      "name": "MyPack"
    }
  },
  "shipment_id": "c2059e35-58b1-4482-ad55-5e7ef541eae4",
  "shipments": [
    {
      "carrier": "postnord",
      "tracking_id": "<string>",
      "tracking_url": "<string>"
    }
  ]
}
```

### 401

Invalid or expired token. A new token will be obtained.

### 404

No such shipment.
